<!-- Kako bismo izbegli visestruka pretplacivanja na tok pomocu async filtera,
mozemo koristiti kombinaciju <ng-container> elementa i NgIf direktive (pomocu klauze "as") -->
<ng-container *ngIf="product | async as p">
  <h2>Product Info</h2>

  <h3>{{ p.name }}</h3>
  <p>{{ p.description }}</p>

  <div class="ui horizontal segments">
    <div class="ui segment">
      <p>Popularity: {{ p.popularity }}</p>
    </div>
    <div class="ui segment">
      <p>State: {{ p.state }}</p>
    </div>
  </div>

  <h2>Buying details</h2>

  <h3>Price: ${{ p.price }}</h3>

  <div *ngIf="canBuy(); else askToLogin">
    <button type="button" class="ui button" (click)="addProductToBasket(p)">Add to basket</button>
  </div>
  <ng-template #askToLogin>
    <p>To buy this product, you have to be logged in!</p>
    <a class="ui button" routerLink="/login">Login here</a>
  </ng-template>

  <h2>Product gallery</h2>
  <div class="ui medium images">
    <img *ngFor="let image of p.imgUrls; let i = index" [src]="p.getImgSrcByIndex(i)" />
  </div>
</ng-container>
